Recommended update for openCryptoki

SUSE Recommended Update: Recommended update for openCryptoki
Announcement ID: SUSE-RU-2019:2886-1
Rating: moderate
References: #1152015
Affected Products:
  • SUSE Linux Enterprise Module for Server Applications 15-SP1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1

An update that has one recommended fix can now be installed.

Description:

This update for openCryptoki fixes the following issues:
openCryptoki was updated to version 3.11.1 (fate#327837)

  • Add support for new IBM crypto card.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Server Applications 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Server-Applications-15-SP1-2019-2886=1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-2886=1

Package List:

  • SUSE Linux Enterprise Module for Server Applications 15-SP1 (aarch64 ppc64le s390x x86_64):
    • openCryptoki-3.11.1-9.3.1
    • openCryptoki-debuginfo-3.11.1-9.3.1
    • openCryptoki-debugsource-3.11.1-9.3.1
  • SUSE Linux Enterprise Module for Server Applications 15-SP1 (ppc64le s390x x86_64):
    • openCryptoki-devel-3.11.1-9.3.1
  • SUSE Linux Enterprise Module for Server Applications 15-SP1 (ppc64le s390x):
    • openCryptoki-64bit-3.11.1-9.3.1
    • openCryptoki-64bit-debuginfo-3.11.1-9.3.1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (aarch64 x86_64):
    • openCryptoki-64bit-3.11.1-9.3.1
    • openCryptoki-64bit-debuginfo-3.11.1-9.3.1
    • openCryptoki-debugsource-3.11.1-9.3.1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (aarch64):
    • openCryptoki-debuginfo-3.11.1-9.3.1
    • openCryptoki-devel-3.11.1-9.3.1

References: